#### PyKDE - Python Bindings for KDE

# class KArchiveFile |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KArchiveFile
Inherits | KArchiveEntry

### methods

- KArchiveFile (archive, name, access, date, user, group, symlink, pos, size)

  returns a KArchiveFile instance
  Argument | Type | Default
  --- | --- | ---
  archive | KArchive |
  name | QString |
  access | int |
  date | int |
  user | QString |
  group | QString |
  symlink | QString |
  pos | int |
  size | int |

- copyTo (dest)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  dest | QString |

- data ()

  returns (QByteArray)

- device ()

  returns (QIODevice)

- isFile ()

  returns (bool)

- position ()

  returns (int)

- setSize (s)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  s | int |

- size ()

  returns (int)